diff --git a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_llpi.c b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_llpi.c
index 4570fe5..7b3a8c4 100644
--- a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_llpi.c
+++ b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_llpi.c
@@ -522,7 +522,7 @@ ng_l2cap_lp_send(ng_l2cap_con_p con, u_int16_t dcid, struct mbuf *m0)
 		/* Check length of the packet against HCI MTU */
 		len = m0->m_pkthdr.len;
 		if (len > l2cap->pkt_size) {
-			m = m_split(m0, l2cap->pkt_size, MB_DONTWAIT);
+			m = m_split(m0, l2cap->pkt_size, M_NOWAIT);
 			if (m == NULL) {
 				NG_L2CAP_ALERT(
 "%s: %s - m_split(%d) failed\n",	__func__, NG_NODE_NAME(l2cap->node),
diff --git a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_misc.c b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_misc.c
index 8caf653..44f2c42 100644
--- a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_misc.c
+++ b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_misc.c
@@ -558,7 +558,7 @@ ng_l2cap_command_untimeout(ng_l2cap_cmd_p cmd)
 struct mbuf *
 ng_l2cap_prepend(struct mbuf *m, int size)
 {
-	M_PREPEND(m, size, MB_DONTWAIT);
+	M_PREPEND(m, size, M_NOWAIT);
 	if (m == NULL || (m->m_len < size && (m = m_pullup(m, size)) == NULL))
 		return (NULL);
 
diff --git a/sys/netgraph7/bluetooth/socket/ng_btsocket_hci_raw.c b/sys/netgraph7/bluetooth/socket/ng_btsocket_hci_raw.c
index f6c8b60..e4cc68f 100644
--- a/sys/netgraph7/bluetooth/socket/ng_btsocket_hci_raw.c
+++ b/sys/netgraph7/bluetooth/socket/ng_btsocket_hci_raw.c
@@ -307,7 +307,7 @@ ng_btsocket_hci_raw_node_rcvdata(hook_p hook, item_p item)
 	 * for now
 	 */
 
-	MGET(nam, MB_DONTWAIT, MT_SONAME);
+	MGET(nam, M_NOWAIT, MT_SONAME);
 	if (nam != NULL) {
 		struct sockaddr_hci	*sa = mtod(nam, struct sockaddr_hci *);
 
@@ -517,7 +517,7 @@ ng_btsocket_hci_raw_data_input(struct mbuf *nam)
 		 * will check if socket has enough buffer space.
 		 */
 
-		m = m_dup(m0, MB_DONTWAIT);
+		m = m_dup(m0, M_NOWAIT);
 		if (m != NULL) {
 			struct mbuf	*ctl = NULL;
 
@@ -1665,7 +1665,7 @@ ng_btsocket_hci_raw_send(netmsg_t msg)
 		sa = (struct sockaddr *) &pcb->addr;
 	}
 
-	MGET(nam, MB_DONTWAIT, MT_SONAME);
+	MGET(nam, M_NOWAIT, MT_SONAME);
 	if (nam == NULL) {
 		lockmgr(&pcb->pcb_lock, LK_RELEASE);
 		error = ENOBUFS;
diff --git a/sys/netgraph7/bluetooth/socket/ng_btsocket_l2cap.c b/sys/netgraph7/bluetooth/socket/ng_btsocket_l2cap.c
index 10cd243..4cbb59b 100644
--- a/sys/netgraph7/bluetooth/socket/ng_btsocket_l2cap.c
+++ b/sys/netgraph7/bluetooth/socket/ng_btsocket_l2cap.c
@@ -1524,7 +1524,7 @@ ng_btsocket_l2cap_data_input(struct mbuf *m, hook_p hook)
 			 * it is a broadcast traffic after all
 			 */
 
-			copy = m_dup(m, MB_DONTWAIT);
+			copy = m_dup(m, M_NOWAIT);
 			if (copy != NULL) {
 				sbappendrecord(&pcb->so->so_rcv.sb, copy);
 				sorwakeup(pcb->so);
@@ -2592,12 +2592,12 @@ ng_btsocket_l2cap_send2(ng_btsocket_l2cap_pcb_p pcb)
 	if (pcb->so->so_snd.sb.sb_cc == 0)
 		return (EINVAL); /* XXX */
 
-	m = m_dup(pcb->so->so_snd.sb.sb_mb, MB_DONTWAIT);
+	m = m_dup(pcb->so->so_snd.sb.sb_mb, M_NOWAIT);
 	if (m == NULL)
 		return (ENOBUFS);
 
 	/* Create L2CA packet header */
-	M_PREPEND(m, sizeof(*hdr), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(*hdr), M_NOWAIT);
 	if (m != NULL)
 		if (m->m_len < sizeof(*hdr))
 			m = m_pullup(m, sizeof(*hdr));
diff --git a/sys/netgraph7/bluetooth/socket/ng_btsocket_rfcomm.c b/sys/netgraph7/bluetooth/socket/ng_btsocket_rfcomm.c
index 53658d6..b26b7ae 100644
--- a/sys/netgraph7/bluetooth/socket/ng_btsocket_rfcomm.c
+++ b/sys/netgraph7/bluetooth/socket/ng_btsocket_rfcomm.c
@@ -3077,7 +3077,7 @@ ng_btsocket_rfcomm_send_command(ng_btsocket_rfcomm_session_p s,
 		/* NOT REACHED */
 	}
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return (ENOBUFS);
 
@@ -3108,14 +3108,14 @@ ng_btsocket_rfcomm_send_uih(ng_btsocket_rfcomm_session_p s, u_int8_t address,
 
 	KKASSERT(lockowned(&s->session_lock) != 0);
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		NG_FREE_M(data);
 		return (ENOBUFS);
 	}
 	m->m_pkthdr.len = m->m_len = sizeof(*hdr);
 
-	MGET(mcrc, MB_DONTWAIT, MT_DATA);
+	MGET(mcrc, M_NOWAIT, MT_DATA);
 	if (mcrc == NULL) {
 		NG_FREE_M(data);
 		return (ENOBUFS);
@@ -3182,7 +3182,7 @@ ng_btsocket_rfcomm_send_msc(ng_btsocket_rfcomm_pcb_p pcb)
 	KKASSERT(lockowned(&pcb->session->session_lock) != 0);
 	KKASSERT(lockowned(&pcb->pcb_lock) != 0);
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return (ENOBUFS);
 
@@ -3220,7 +3220,7 @@ ng_btsocket_rfcomm_send_pn(ng_btsocket_rfcomm_pcb_p pcb)
 	KKASSERT(lockowned(&pcb->session->session_lock) != 0);
 	KKASSERT(lockowned(&pcb->pcb_lock) != 0);
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return (ENOBUFS);
 
@@ -3592,7 +3592,7 @@ ng_btsocket_rfcomm_prepare_packet(struct sockbuf *sb, int length)
 	struct mbuf	*top = NULL, *m = NULL, *n = NULL, *nextpkt = NULL;
 	int		 mlen, noff, len;
 
-	MGETHDR(top, MB_DONTWAIT, MT_DATA);
+	MGETHDR(top, M_NOWAIT, MT_DATA);
 	if (top == NULL)
 		return (NULL);
 
@@ -3616,7 +3616,7 @@ ng_btsocket_rfcomm_prepare_packet(struct sockbuf *sb, int length)
 		length -= len;
 
 		if (length > 0 && m->m_len == mlen) {
-			MGET(m->m_next, MB_DONTWAIT, MT_DATA);
+			MGET(m->m_next, M_NOWAIT, MT_DATA);
 			if (m->m_next == NULL) {
 				NG_FREE_M(top);
 				return (NULL);
diff --git a/sys/netgraph7/bridge/ng_bridge.c b/sys/netgraph7/bridge/ng_bridge.c
index 93a0123..4774407 100644
--- a/sys/netgraph7/bridge/ng_bridge.c
+++ b/sys/netgraph7/bridge/ng_bridge.c
@@ -709,7 +709,7 @@ ng_bridge_rcvdata(hook_p hook, item_p item)
 			 * It's usable link but not the reserved (first) one.
 			 * Copy mbuf info for sending.
 			 */
-			m2 = m_dup(m, MB_DONTWAIT);	/* XXX m_copypacket() */
+			m2 = m_dup(m, M_NOWAIT);	/* XXX m_copypacket() */
 			if (m2 == NULL) {
 				link->stats.memoryFailures++;
 				NG_FREE_ITEM(item);
diff --git a/sys/netgraph7/cisco/ng_cisco.c b/sys/netgraph7/cisco/ng_cisco.c
index 848422b..1e023fc 100644
--- a/sys/netgraph7/cisco/ng_cisco.c
+++ b/sys/netgraph7/cisco/ng_cisco.c
@@ -352,7 +352,7 @@ cisco_rcvdata(hook_p hook, item_p item)
 	/* OK so it came from a protocol, heading out. Prepend general data
 	   packet header. For now, IP,IPX only  */
 	m = NGI_M(item); /* still associated with item */
-	M_PREPEND(m, CISCO_HEADER_LEN, MB_DONTWAIT);
+	M_PREPEND(m, CISCO_HEADER_LEN, M_NOWAIT);
 	if (!m) {
 		error = ENOBUFS;
 		goto out;
@@ -593,7 +593,7 @@ cisco_send(sc_p sc, int type, long par1, long par2)
 
 	getmicrouptime(&time);
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (!m)
 		return (ENOBUFS);
 
diff --git a/sys/netgraph7/frame_relay/ng_frame_relay.c b/sys/netgraph7/frame_relay/ng_frame_relay.c
index 2c22815..fa845a8 100644
--- a/sys/netgraph7/frame_relay/ng_frame_relay.c
+++ b/sys/netgraph7/frame_relay/ng_frame_relay.c
@@ -38,7 +38,6 @@
  * Author: Julian Elischer <julian@freebsd.org>
  *
  * $FreeBSD: src/sys/netgraph/ng_frame_relay.c,v 1.25 2006/01/14 21:49:31 glebius Exp $
- * $DragonFly: src/sys/netgraph7/ng_frame_relay.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  * $Whistle: ng_frame_relay.c,v 1.20 1999/11/01 09:24:51 julian Exp $
  */
 
@@ -363,7 +362,7 @@ ngfrm_rcvdata(hook_p hook, item_p item)
 	alen = sc->addrlen;
 	if (alen == 0)
 		alen = 2;	/* default value for transmit */
-	M_PREPEND(m, alen, MB_DONTWAIT);
+	M_PREPEND(m, alen, M_NOWAIT);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto bad;
diff --git a/sys/netgraph7/hub/ng_hub.c b/sys/netgraph7/hub/ng_hub.c
index 254f442..3cce473 100644
--- a/sys/netgraph7/hub/ng_hub.c
+++ b/sys/netgraph7/hub/ng_hub.c
@@ -24,7 +24,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/netgraph/ng_hub.c,v 1.3 2004/06/26 22:24:16 julian Exp $
- * $DragonFly: src/sys/netgraph7/ng_hub.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  */
 
 #include <sys/param.h>
@@ -77,7 +76,7 @@ ng_hub_rcvdata(hook_p hook, item_p item)
 		if (--nhooks == 1)
 			NG_FWD_ITEM_HOOK(error, item, hook2);
 		else {
-			if ((m2 = m_dup(m, MB_DONTWAIT)) == NULL) {
+			if ((m2 = m_dup(m, M_NOWAIT)) == NULL) {
 				NG_FREE_ITEM(item);
 				return (ENOBUFS);
 			}
diff --git a/sys/netgraph7/iface/ng_iface.c b/sys/netgraph7/iface/ng_iface.c
index 99ec663..5744678 100644
--- a/sys/netgraph7/iface/ng_iface.c
+++ b/sys/netgraph7/iface/ng_iface.c
@@ -434,7 +434,7 @@ ng_iface_output(struct ifnet *ifp, struct mbuf *m,
 	ng_iface_bpftap(ifp, m, dst->sa_family);
 
 	if (ifq_is_enabled(&ifp->if_snd)) {
-		M_PREPEND(m, sizeof(sa_family_t), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(sa_family_t), M_NOWAIT);
 		if (m == NULL) {
 			IFNET_STAT_INC(ifp, oerrors, 1);
 			return (ENOBUFS);
diff --git a/sys/netgraph7/ksocket/ng_ksocket.c b/sys/netgraph7/ksocket/ng_ksocket.c
index abb7b9f..886a124 100644
--- a/sys/netgraph7/ksocket/ng_ksocket.c
+++ b/sys/netgraph7/ksocket/ng_ksocket.c
@@ -1111,7 +1111,7 @@ ng_ksocket_incoming2(node_p node, hook_p hook, void *arg1, int arg2)
 
 			stag = (struct sa_tag *)m_tag_alloc(NGM_KSOCKET_COOKIE,
 			    NG_KSOCKET_TAG_SOCKADDR, sizeof(ng_ID_t) +
-			    sa->sa_len, MB_DONTWAIT);
+			    sa->sa_len, M_NOWAIT);
 			if (stag == NULL) {
 				kfree(sa, M_SONAME);
 				goto sendit;
@@ -1133,7 +1133,7 @@ sendit:		/* Forward data with optional peer sockaddr as packet tag */
 	if (so->so_state & SS_CANTRCVMORE && !(priv->flags & KSF_EOFSEEN)) {
 		struct mbuf *m;
 
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m != NULL) {
 			m->m_len = m->m_pkthdr.len = 0;
 			NG_SEND_DATA_ONLY(error, priv->hook, m);
diff --git a/sys/netgraph7/l2tp/ng_l2tp.c b/sys/netgraph7/l2tp/ng_l2tp.c
index 3523d67..b9ddcb0 100644
--- a/sys/netgraph7/l2tp/ng_l2tp.c
+++ b/sys/netgraph7/l2tp/ng_l2tp.c
@@ -37,7 +37,6 @@
  * Author: Archie Cobbs <archie@freebsd.org>
  *
  * $FreeBSD: src/sys/netgraph/ng_l2tp.c,v 1.25 2008/03/16 21:33:12 mav Exp $
- * $DragonFly: src/sys/netgraph7/ng_l2tp.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  */
 
 /*
@@ -959,7 +958,7 @@ ng_l2tp_rcvdata_lower(hook_p h, item_p item)
 		mtx_unlock(&seq->mtx);
 
 		/* Prepend session ID to packet. */
-		M_PREPEND(m, 2, MB_DONTWAIT);
+		M_PREPEND(m, 2, M_NOWAIT);
 		if (m == NULL) {
 			seq->inproc = 0;
 			priv->stats.memoryFailures++;
@@ -1095,7 +1094,7 @@ ng_l2tp_rcvdata_ctrl(hook_p hook, item_p item)
 	mtx_unlock(&seq->mtx);
 
 	/* Copy packet */
-	if ((m = L2TP_COPY_MBUF(m, MB_DONTWAIT)) == NULL) {
+	if ((m = L2TP_COPY_MBUF(m, M_NOWAIT)) == NULL) {
 		priv->stats.memoryFailures++;
 		ERROUT(ENOBUFS);
 	}
@@ -1145,7 +1144,7 @@ ng_l2tp_rcvdata(hook_p hook, item_p item)
 	M_PREPEND(m, 6
 	    + (2 * (hpriv->conf.include_length != 0))
 	    + (4 * (hpriv->conf.enable_dseq != 0)),
-	    MB_DONTWAIT);
+	    M_NOWAIT);
 	if (m == NULL) {
 		priv->stats.memoryFailures++;
 		NG_FREE_ITEM(item);
@@ -1422,7 +1421,7 @@ ng_l2tp_seq_recv_nr(priv_p priv, u_int16_t nr)
 	 */
 	for (i = 0; i < j; i++) {
 		struct mbuf 	*m;
-		if ((m = L2TP_COPY_MBUF(xwin[i], MB_DONTWAIT)) == NULL)
+		if ((m = L2TP_COPY_MBUF(xwin[i], M_NOWAIT)) == NULL)
 			priv->stats.memoryFailures++;
 		else
 			ng_l2tp_xmit_ctrl(priv, m, ns);
@@ -1498,7 +1497,7 @@ ng_l2tp_seq_rack_timeout(node_p node, hook_p hook, void *arg1, int arg2)
 	seq->acks = 0;
 
 	/* Retransmit oldest unack'd packet */
-	if ((m = L2TP_COPY_MBUF(seq->xwin[0], MB_DONTWAIT)) == NULL)
+	if ((m = L2TP_COPY_MBUF(seq->xwin[0], M_NOWAIT)) == NULL)
 		priv->stats.memoryFailures++;
 	else
 		ng_l2tp_xmit_ctrl(priv, m, seq->ns++);
@@ -1536,7 +1535,7 @@ ng_l2tp_xmit_ctrl(priv_p priv, struct mbuf *m, u_int16_t ns)
 	if (m == NULL) {
 
 		/* Create a new mbuf for ZLB packet */
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			return (ENOBUFS);
@@ -1555,7 +1554,7 @@ ng_l2tp_xmit_ctrl(priv_p priv, struct mbuf *m, u_int16_t ns)
 		m_adj(m, 2);
 
 		/* Make room for L2TP header */
-		M_PREPEND(m, 12, MB_DONTWAIT);
+		M_PREPEND(m, 12, M_NOWAIT);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			return (ENOBUFS);
diff --git a/sys/netgraph7/lmi/ng_lmi.c b/sys/netgraph7/lmi/ng_lmi.c
index ae6d99e..e0d7af5 100644
--- a/sys/netgraph7/lmi/ng_lmi.c
+++ b/sys/netgraph7/lmi/ng_lmi.c
@@ -319,7 +319,7 @@ nglmi_inquire(sc_p sc, int full)
 
 	if (sc->lmi_channel == NULL)
 		return;
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		log(LOG_ERR, "nglmi: unable to start up LMI processing\n");
 		return;
@@ -330,7 +330,7 @@ nglmi_inquire(sc_p sc, int full)
 	 * that device driver would put it in the beginning of queue */
 
 	ptag = (struct ng_tag_prio *)m_tag_alloc(NGM_GENERIC_COOKIE, NG_TAG_PRIO,
-	    (sizeof(struct ng_tag_prio) - sizeof(struct m_tag)), MB_DONTWAIT);
+	    (sizeof(struct ng_tag_prio) - sizeof(struct m_tag)), M_NOWAIT);
 	if (ptag != NULL) {	/* if it failed, well, it was optional anyhow */
 		ptag->priority = NG_PRIO_LINKSTATE;
 		ptag->discardability = -1;
diff --git a/sys/netgraph7/mppc/ng_mppc.c b/sys/netgraph7/mppc/ng_mppc.c
index c152e5a..d57a23e 100644
--- a/sys/netgraph7/mppc/ng_mppc.c
+++ b/sys/netgraph7/mppc/ng_mppc.c
@@ -39,7 +39,6 @@
  *
  * $Whistle: ng_mppc.c,v 1.4 1999/11/25 00:10:12 archie Exp $
  * $FreeBSD: src/sys/netgraph/ng_mppc.c,v 1.31 2007/05/18 15:28:01 mav Exp $
- * $DragonFly: src/sys/netgraph7/ng_mppc.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  */
 
 /*
@@ -564,7 +563,7 @@ ng_mppc_compress(node_p node, struct mbuf **datap)
 		}
 
 		/* We must own the mbuf chain exclusively to modify it. */
-		m = m_unshare(m, MB_DONTWAIT);
+		m = m_unshare(m, M_NOWAIT);
 		if (m == NULL)
 			return (ENOMEM);
 
@@ -582,7 +581,7 @@ ng_mppc_compress(node_p node, struct mbuf **datap)
 	MPPC_CCOUNT_INC(d->cc);
 
 	/* Install header */
-	M_PREPEND(m, MPPC_HDRLEN, MB_DONTWAIT);
+	M_PREPEND(m, MPPC_HDRLEN, M_NOWAIT);
 	if (m != NULL)
 		*(mtod(m, uint16_t *)) = htons(header);
 
@@ -683,7 +682,7 @@ ng_mppc_decompress(node_p node, struct mbuf **datap)
 		}
 
 		/* We must own the mbuf chain exclusively to modify it. */
-		m = m_unshare(m, MB_DONTWAIT);
+		m = m_unshare(m, M_NOWAIT);
 		if (m == NULL)
 			return (ENOMEM);
 
diff --git a/sys/netgraph7/netflow/netflow.c b/sys/netgraph7/netflow/netflow.c
index a0aa4dc..aab37ec 100644
--- a/sys/netgraph7/netflow/netflow.c
+++ b/sys/netgraph7/netflow/netflow.c
@@ -156,7 +156,7 @@ get_export_dgram(priv_p priv)
 		struct netflow_v5_export_dgram *dgram;
 		struct mbuf *m;
 
-		m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (m == NULL)
 			return (NULL);
 		item = ng_package_data(m, NG_NOFLAGS);
diff --git a/sys/netgraph7/ng_device.c b/sys/netgraph7/ng_device.c
index a4a292c..541e117 100644
--- a/sys/netgraph7/ng_device.c
+++ b/sys/netgraph7/ng_device.c
@@ -463,7 +463,7 @@ ngdwrite(struct cdev *dev, struct uio *uio, int flag)
 	if (uio->uio_resid > IP_MAXPACKET)
 		return (EIO);
 
-	if ((m = m_uiotombuf(uio, MB_DONTWAIT, 0, 0, M_PKTHDR)) == NULL)
+	if ((m = m_uiotombuf(uio, M_NOWAIT, 0, 0, M_PKTHDR)) == NULL)
 		return (ENOBUFS);
 
 	NG_SEND_DATA_ONLY(error, priv->hook, m);
diff --git a/sys/netgraph7/ng_gif.c b/sys/netgraph7/ng_gif.c
index 1d32e25..e15d16d 100644
--- a/sys/netgraph7/ng_gif.c
+++ b/sys/netgraph7/ng_gif.c
@@ -63,7 +63,6 @@
  * OF SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/netgraph/ng_gif.c,v 1.19 2005/06/10 16:49:21 brooks Exp $
- * $DragonFly: src/sys/netgraph7/ng_gif.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  */
 
 /*
@@ -311,7 +310,7 @@ ng_gif_glue_af(struct mbuf **mp, int af)
 	 * hopefully everything after that will not
 	 * need one. So let's just use M_PREPEND.
 	 */
-	M_PREPEND(m, sizeof (tmp_af), MB_DONTWAIT);
+	M_PREPEND(m, sizeof (tmp_af), M_NOWAIT);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto done;
diff --git a/sys/netgraph7/ng_gif_demux.c b/sys/netgraph7/ng_gif_demux.c
index 2541223..e37b92a 100644
--- a/sys/netgraph7/ng_gif_demux.c
+++ b/sys/netgraph7/ng_gif_demux.c
@@ -343,7 +343,7 @@ ng_gif_demux_rcvdata(hook_p hook, item_p item)
 		 * Add address family header and set the output hook.
 		 */
 		iffam = get_iffam_from_hook(priv, hook);
-		M_PREPEND(m, sizeof (iffam->family), MB_DONTWAIT);
+		M_PREPEND(m, sizeof (iffam->family), M_NOWAIT);
 		if (m == NULL) {
 			NG_FREE_M(m);
 			NG_FREE_ITEM(item);
diff --git a/sys/netgraph7/ng_ipfw.c b/sys/netgraph7/ng_ipfw.c
index 08bc768..a9cd5c9 100644
--- a/sys/netgraph7/ng_ipfw.c
+++ b/sys/netgraph7/ng_ipfw.c
@@ -287,7 +287,7 @@ ng_ipfw_input(struct mbuf **m0, int dir, struct ip_fw_args *fwa, int tee)
 		*m0 = NULL;	/* it belongs now to netgraph */
 
 		if ((ngit = (struct ng_ipfw_tag *)m_tag_alloc(NGM_IPFW_COOKIE,
-		    0, TAGSIZ, MB_DONTWAIT)) == NULL) {
+		    0, TAGSIZ, M_NOWAIT)) == NULL) {
 			m_freem(m);
 			return (ENOMEM);
 		}
@@ -297,7 +297,7 @@ ng_ipfw_input(struct mbuf **m0, int dir, struct ip_fw_args *fwa, int tee)
 		m_tag_prepend(m, &ngit->mt);
 
 	} else
-		if ((m = m_dup(*m0, MB_DONTWAIT)) == NULL)
+		if ((m = m_dup(*m0, M_NOWAIT)) == NULL)
 			return (ENOMEM);	/* which is ignored */
 
 	if (m->m_len < sizeof(struct ip) &&
diff --git a/sys/netgraph7/ng_source.c b/sys/netgraph7/ng_source.c
index 0af2a64..fd76499 100644
--- a/sys/netgraph7/ng_source.c
+++ b/sys/netgraph7/ng_source.c
@@ -878,9 +878,9 @@ ng_source_dup_mod(sc_p sc, struct mbuf *m0, struct mbuf **m_ptr)
 
 	/* Duplicate the packet. */
 	if (modify)
-		m = m_dup(m0, MB_DONTWAIT);
+		m = m_dup(m0, M_NOWAIT);
 	else
-		m = m_copypacket(m0, MB_DONTWAIT);
+		m = m_copypacket(m0, M_NOWAIT);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto done;
diff --git a/sys/netgraph7/ng_tag.c b/sys/netgraph7/ng_tag.c
index 3413e76..432ad48 100644
--- a/sys/netgraph7/ng_tag.c
+++ b/sys/netgraph7/ng_tag.c
@@ -28,7 +28,6 @@
  * (ng_bpf by Archie Cobbs <archie@freebsd.org>)
  *
  * $FreeBSD: src/sys/netgraph/ng_tag.c,v 1.1 2006/06/27 12:45:28 glebius Exp $
- * $DragonFly: src/sys/netgraph7/ng_tag.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  */
 
 /*
@@ -573,7 +572,7 @@ ng_tag_rcvdata(hook_p hook, item_p item)
 	tag_len = dhip->out_tag_len;
 	
 	if ((cookie != 0) || (type != 0)) {
-		tag = m_tag_alloc(cookie, type, tag_len, MB_DONTWAIT);
+		tag = m_tag_alloc(cookie, type, tag_len, M_NOWAIT);
 		/* XXX may be free the mbuf if tag allocation failed? */
 		if (tag != NULL) {
 			if (tag_len != 0) {
diff --git a/sys/netgraph7/ng_vlan.c b/sys/netgraph7/ng_vlan.c
index 506b519..a88d4ca 100644
--- a/sys/netgraph7/ng_vlan.c
+++ b/sys/netgraph7/ng_vlan.c
@@ -410,7 +410,7 @@ ng_vlan_rcvdata(hook_p hook, item_p item)
 				NG_FREE_M(m);
 				return (EOPNOTSUPP);
 			}
-			M_PREPEND(m, ETHER_VLAN_ENCAP_LEN, MB_DONTWAIT);
+			M_PREPEND(m, ETHER_VLAN_ENCAP_LEN, M_NOWAIT);
 			/* M_PREPEND takes care of m_len and m_pkthdr.len. */
 			if (m == NULL || (m->m_len < sizeof(*evl) &&
 			    (m = m_pullup(m, sizeof(*evl))) == NULL)) {
diff --git a/sys/netgraph7/one2many/ng_one2many.c b/sys/netgraph7/one2many/ng_one2many.c
index 3ab57ff..1aed6e7 100644
--- a/sys/netgraph7/one2many/ng_one2many.c
+++ b/sys/netgraph7/one2many/ng_one2many.c
@@ -38,7 +38,6 @@
  * Author: Archie Cobbs <archie@freebsd.org>
  *
  * $FreeBSD: src/sys/netgraph/ng_one2many.c,v 1.21 2005/03/11 10:29:38 glebius Exp $
- * $DragonFly: src/sys/netgraph7/ng_one2many.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  */
 
 /*
@@ -462,7 +461,7 @@ ng_one2many_rcvdata(hook_p hook, item_p item)
 				struct ng_one2many_link *mdst;
 
 				mdst = &priv->many[priv->activeMany[i]];
-				m2 = m_dup(m, MB_DONTWAIT);        /* XXX m_copypacket() */
+				m2 = m_dup(m, M_NOWAIT);        /* XXX m_copypacket() */
 				if (m2 == NULL) {
 					mdst->stats.memoryFailures++;
 					NG_FREE_ITEM(item);
diff --git a/sys/netgraph7/ppp/ng_ppp.c b/sys/netgraph7/ppp/ng_ppp.c
index 8a8b84e..c361e5c 100644
--- a/sys/netgraph7/ppp/ng_ppp.c
+++ b/sys/netgraph7/ppp/ng_ppp.c
@@ -2080,7 +2080,7 @@ deliver:
 			/* Split off next fragment as "m2" */
 			m2 = m;
 			if (!lastFragment) {
-				struct mbuf *n = m_split(m, len, MB_DONTWAIT);
+				struct mbuf *n = m_split(m, len, M_NOWAIT);
 
 				if (n == NULL) {
 					NG_FREE_M(m);
@@ -2088,7 +2088,7 @@ deliver:
 						NG_FREE_ITEM(item);
 					return (ENOMEM);
 				}
-				m_tag_copy_chain(n, m, MB_DONTWAIT);
+				m_tag_copy_chain(n, m, M_NOWAIT);
 				m = n;
 			}
 
@@ -2432,7 +2432,7 @@ ng_ppp_cutproto(struct mbuf *m, uint16_t *proto)
 static struct mbuf *
 ng_ppp_prepend(struct mbuf *m, const void *buf, int len)
 {
-	M_PREPEND(m, len, MB_DONTWAIT);
+	M_PREPEND(m, len, M_NOWAIT);
 	if (m == NULL || (m->m_len < len && (m = m_pullup(m, len)) == NULL))
 		return (NULL);
 	bcopy(buf, mtod(m, uint8_t *), len);
diff --git a/sys/netgraph7/pppoe/ng_pppoe.c b/sys/netgraph7/pppoe/ng_pppoe.c
index 2b0be39..c92d377 100644
--- a/sys/netgraph7/pppoe/ng_pppoe.c
+++ b/sys/netgraph7/pppoe/ng_pppoe.c
@@ -459,7 +459,7 @@ pppoe_broadcast_padi(node_p node, struct mbuf *m0)
 	LIST_FOREACH(sp, &privp->listeners, sessions) {
 		struct mbuf *m;
 
-		m = m_dup(m0, MB_DONTWAIT);
+		m = m_dup(m0, M_NOWAIT);
 		if (m == NULL)
 			return (ENOMEM);
 		NG_SEND_DATA_ONLY(error, sp->hook, m);
@@ -802,7 +802,7 @@ ng_pppoe_rcvmsg(node_p node, item_p item, hook_p lasthook)
 			if (neg == NULL)
 				LEAVE(ENOMEM);
 
-			neg->m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+			neg->m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 			if (neg->m == NULL) {
 				kfree(neg, M_NETGRAPH_PPPOE);
 				LEAVE(ENOBUFS);
@@ -1079,7 +1079,7 @@ pppoe_start(sessp sp)
 	ng_callout(&neg->handle, node, hook, PPPOE_INITIAL_TIMEOUT * hz,
 	    pppoe_ticker, NULL, 0);
 	neg->timeout = PPPOE_INITIAL_TIMEOUT * 2;
-	m0 = m_copypacket(neg->m, MB_DONTWAIT);
+	m0 = m_copypacket(neg->m, M_NOWAIT);
 	NG_SEND_DATA_ONLY(error, privp->ethernet_hook, m0);
 }
 
@@ -1162,7 +1162,7 @@ ng_pppoe_rcvdata(hook_p hook, item_p item)
 		 * Bang in a pre-made header, and set the length up
 		 * to be correct. Then send it to the ethernet driver.
 		 */
-		M_PREPEND(m, sizeof(*wh), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(*wh), M_NOWAIT);
 		if (m == NULL)
 			LEAVE(ENOBUFS);
 
@@ -1252,7 +1252,7 @@ ng_pppoe_rcvdata(hook_p hook, item_p item)
 		 */
 		ng_callout(&neg->handle, node, hook, PPPOE_OFFER_TIMEOUT * hz,
 		    pppoe_ticker, NULL, 0);
-		m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+		m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 		NG_FWD_NEW_DATA(error, item, privp->ethernet_hook, m0);
 		privp->packets_out++;
 		break;
@@ -1339,7 +1339,7 @@ ng_pppoe_rcvdata_ether(hook_p hook, item_p item)
 			 * Put it into a cluster.
 			 */
 			struct mbuf *n;
-			n = m_dup(m, MB_DONTWAIT);
+			n = m_dup(m, M_NOWAIT);
 			m_freem(m);
 			m = n;
 			if (m) {
@@ -1472,7 +1472,7 @@ ng_pppoe_rcvdata_ether(hook_p hook, item_p item)
 			    PPPOE_INITIAL_TIMEOUT * hz,
 			    pppoe_ticker, NULL, 0);
 			neg->timeout = PPPOE_INITIAL_TIMEOUT * 2;
-			m0 = m_copypacket(neg->m, MB_DONTWAIT);
+			m0 = m_copypacket(neg->m, M_NOWAIT);
 			NG_FWD_NEW_DATA(error, item, privp->ethernet_hook, m0);
 			break;
 		case	PADR_CODE:
@@ -1530,7 +1530,7 @@ ng_pppoe_rcvdata_ether(hook_p hook, item_p item)
 			sp->state = PPPOE_NEWCONNECTED;
 
 			/* Send the PADS without a timeout - we're now connected. */
-			m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+			m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 			NG_FWD_NEW_DATA(error, item, privp->ethernet_hook, m0);
 
 			/*
@@ -1736,7 +1736,7 @@ ng_pppoe_disconnect(hook_p hook)
 			struct mbuf *m;
 
 			/* Generate a packet of that type. */
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m == NULL)
 				log(LOG_NOTICE, "ng_pppoe[%x]: session out of "
 				    "mbufs\n", node->nd_ID);
@@ -1823,7 +1823,7 @@ pppoe_ticker(node_p node, hook_p hook, void *arg1, int arg2)
 	case	PPPOE_SINIT:
 	case	PPPOE_SREQ:
 		/* Timeouts on these produce resends. */
-		m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+		m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 		NG_SEND_DATA_ONLY( error, privp->ethernet_hook, m0);
 		ng_callout(&neg->handle, node, hook, neg->timeout * hz,
 		    pppoe_ticker, NULL, 0);
diff --git a/sys/netgraph7/pptpgre/ng_pptpgre.c b/sys/netgraph7/pptpgre/ng_pptpgre.c
index 0bf6f99..7c81f54 100644
--- a/sys/netgraph7/pptpgre/ng_pptpgre.c
+++ b/sys/netgraph7/pptpgre/ng_pptpgre.c
@@ -38,7 +38,6 @@
  * Author: Archie Cobbs <archie@freebsd.org>
  *
  * $FreeBSD: src/sys/netgraph/ng_pptpgre.c,v 1.42 2008/03/26 21:19:03 mav Exp $
- * $DragonFly: src/sys/netgraph7/ng_pptpgre.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  * $Whistle: ng_pptpgre.c,v 1.7 1999/12/08 00:10:06 archie Exp $
  */
 
@@ -600,7 +599,7 @@ ng_pptpgre_xmit(hpriv_p hpriv, item_p item)
 	/* Prepend GRE header to outgoing frame */
 	grelen = sizeof(*gre) + sizeof(u_int32_t) * (gre->hasSeq + gre->hasAck);
 	if (m == NULL) {
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			ERROUT(ENOBUFS);
@@ -608,7 +607,7 @@ ng_pptpgre_xmit(hpriv_p hpriv, item_p item)
 		m->m_len = m->m_pkthdr.len = grelen;
 		m->m_pkthdr.rcvif = NULL;
 	} else {
-		M_PREPEND(m, grelen, MB_DONTWAIT);
+		M_PREPEND(m, grelen, M_NOWAIT);
 		if (m == NULL || (m->m_len < grelen
 		    && (m = m_pullup(m, grelen)) == NULL)) {
 			priv->stats.memoryFailures++;
diff --git a/sys/netgraph7/rfc1490/ng_rfc1490.c b/sys/netgraph7/rfc1490/ng_rfc1490.c
index 723ac39..1e4b4d0 100644
--- a/sys/netgraph7/rfc1490/ng_rfc1490.c
+++ b/sys/netgraph7/rfc1490/ng_rfc1490.c
@@ -387,7 +387,7 @@ switch_on_etype:		etype = ntohs(*((const u_int16_t *)ptr));
 			break;
 		}
 	} else if (hook == priv->ppp) {
-		M_PREPEND(m, 2, MB_DONTWAIT);	/* Prepend PPP NLPID */
+		M_PREPEND(m, 2, M_NOWAIT);	/* Prepend PPP NLPID */
 		if (!m)
 			ERROUT(ENOBUFS);
 		mtod(m, u_char *)[0] = HDLC_UI;
@@ -396,7 +396,7 @@ switch_on_etype:		etype = ntohs(*((const u_int16_t *)ptr));
 	} else if (hook == priv->inet) {
 		switch (priv->enc->method) {
 		case NG_RFC1490_ENCAP_IETF_IP:
-			M_PREPEND(m, 2, MB_DONTWAIT);	/* Prepend IP NLPID */
+			M_PREPEND(m, 2, M_NOWAIT);	/* Prepend IP NLPID */
 			if (!m)
 				ERROUT(ENOBUFS);
 			mtod(m, u_char *)[0] = HDLC_UI;
@@ -408,7 +408,7 @@ switch_on_etype:		etype = ntohs(*((const u_int16_t *)ptr));
 			 *  HDLC_UI  PAD  NLIPID  OUI      PID
 			 *  03      00   80      00 00 00  08 00
 			 */
-			M_PREPEND(m, 8, MB_DONTWAIT);
+			M_PREPEND(m, 8, M_NOWAIT);
 			if (!m)
 				ERROUT(ENOBUFS);
 			mtod(m, u_char *)[0] = HDLC_UI;
@@ -419,7 +419,7 @@ switch_on_etype:		etype = ntohs(*((const u_int16_t *)ptr));
 			    = htons(ETHERTYPE_IP);  /* PID */
 			break;
 		case NG_RFC1490_ENCAP_CISCO:
-			M_PREPEND(m, 2, MB_DONTWAIT);	/* Prepend IP ethertype */
+			M_PREPEND(m, 2, M_NOWAIT);	/* Prepend IP ethertype */
 			if (!m)
 				ERROUT(ENOBUFS);
 			*((u_int16_t *)mtod(m, u_int16_t *)) = htons(ETHERTYPE_IP);
@@ -427,7 +427,7 @@ switch_on_etype:		etype = ntohs(*((const u_int16_t *)ptr));
 		}
 		NG_FWD_NEW_DATA(error, item, priv->downlink, m);
 	} else if (hook == priv->ethernet) {
-		M_PREPEND(m, 8, MB_DONTWAIT);	/* Prepend NLPID, OUI, PID */
+		M_PREPEND(m, 8, M_NOWAIT);	/* Prepend NLPID, OUI, PID */
 		if (!m)
 			ERROUT(ENOBUFS);
 		mtod(m, u_char *)[0] = HDLC_UI;
diff --git a/sys/netgraph7/tee/ng_tee.c b/sys/netgraph7/tee/ng_tee.c
index 9dba7d9..b2c0cd5 100644
--- a/sys/netgraph7/tee/ng_tee.c
+++ b/sys/netgraph7/tee/ng_tee.c
@@ -39,7 +39,6 @@
  * Author: Julian Elischer <julian@freebsd.org>
  *
  * $FreeBSD: src/sys/netgraph/ng_tee.c,v 1.35 2008/02/24 10:13:32 mav Exp $
- * $DragonFly: src/sys/netgraph7/ng_tee.c,v 1.2 2008/06/26 23:05:35 dillon Exp $
  * $Whistle: ng_tee.c,v 1.18 1999/11/01 09:24:52 julian Exp $
  */
 
@@ -309,7 +308,7 @@ ng_tee_rcvdata(hook_p hook, item_p item)
 		struct mbuf *m2;
 
 		/* Copy packet (failure will not stop the original)*/
-		m2 = m_dup(m, MB_DONTWAIT);
+		m2 = m_dup(m, M_NOWAIT);
 		if (m2) {
 			/* Deliver duplicate */
 			h = hinfo->dup;
diff --git a/sys/netgraph7/tty/ng_tty.c b/sys/netgraph7/tty/ng_tty.c
index 7da3b71..2b43582 100644
--- a/sys/netgraph7/tty/ng_tty.c
+++ b/sys/netgraph7/tty/ng_tty.c
@@ -376,7 +376,7 @@ ngt_input(int c, struct tty *tp)
 
 	/* Get a new header mbuf if we need one */
 	if (!(m = sc->m)) {
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (!m) {
 			if (sc->flags & FLG_DEBUG)
 				log(LOG_ERR,
diff --git a/sys/netgraph7/vjc/ng_vjc.c b/sys/netgraph7/vjc/ng_vjc.c
index a16cc0c..72beafe 100644
--- a/sys/netgraph7/vjc/ng_vjc.c
+++ b/sys/netgraph7/vjc/ng_vjc.c
@@ -473,7 +473,7 @@ ng_vjc_rcvdata(hook_p hook, item_p item)
 		m_adj(m, vjlen);
 
 		/* Copy the reconstructed TCP/IP headers into a new mbuf */
-		MGETHDR(hm, MB_DONTWAIT, MT_DATA);
+		MGETHDR(hm, M_NOWAIT, MT_DATA);
 		if (hm == NULL) {
 			priv->slc.sls_errorin++;
 			NG_FREE_M(m);
@@ -483,7 +483,7 @@ ng_vjc_rcvdata(hook_p hook, item_p item)
 		hm->m_len = 0;
 		hm->m_pkthdr.rcvif = NULL;
 		if (hlen > MHLEN) {		/* unlikely, but can happen */
-			MCLGET(hm, MB_DONTWAIT);
+			MCLGET(hm, M_NOWAIT);
 			if ((hm->m_flags & M_EXT) == 0) {
 				m_freem(hm);
 				priv->slc.sls_errorin++;
diff --git a/sys/netinet/if_ether.c b/sys/netinet/if_ether.c
index f5c4367..260cbf3 100644
--- a/sys/netinet/if_ether.c
+++ b/sys/netinet/if_ether.c
@@ -358,7 +358,7 @@ arpreq_alloc(struct ifnet *ifp, const struct in_addr *sip,
 	struct arphdr *ah;
 	u_short ar_hrd;
 
-	if ((m = m_gethdr(MB_DONTWAIT, MT_DATA)) == NULL)
+	if ((m = m_gethdr(M_NOWAIT, MT_DATA)) == NULL)
 		return NULL;
 	m->m_pkthdr.rcvif = NULL;
 
diff --git a/sys/netinet/igmp.c b/sys/netinet/igmp.c
index d41a41e..1987984 100644
--- a/sys/netinet/igmp.c
+++ b/sys/netinet/igmp.c
@@ -110,7 +110,7 @@ igmp_init(void)
 	/*
 	 * Construct a Router Alert option to use in outgoing packets
 	 */
-	MGET(router_alert, MB_DONTWAIT, MT_DATA);
+	MGET(router_alert, M_NOWAIT, MT_DATA);
 	ra = mtod(router_alert, struct ipoption *);
 	ra->ipopt_dst.s_addr = 0;
 	ra->ipopt_list[0] = IPOPT_RA;	/* Router Alert Option */
@@ -485,7 +485,7 @@ igmp_sendpkt(struct in_multi *inm, int type, unsigned long addr)
 	struct ip *ip;
 	struct ip_moptions imo;
 
-	MGETHDR(m, MB_DONTWAIT, MT_HEADER);
+	MGETHDR(m, M_NOWAIT, MT_HEADER);
 	if (m == NULL)
 		return;
 
diff --git a/sys/netinet/in_gif.c b/sys/netinet/in_gif.c
index ce27fe5..be331df 100644
--- a/sys/netinet/in_gif.c
+++ b/sys/netinet/in_gif.c
@@ -1,6 +1,5 @@
 /*
  * $FreeBSD: src/sys/netinet/in_gif.c,v 1.5.2.11 2003/01/23 21:06:45 sam Exp $
- * $DragonFly: src/sys/netinet/in_gif.c,v 1.18 2008/10/27 02:56:30 sephe Exp $
  * $KAME: in_gif.c,v 1.54 2001/05/14 14:02:16 itojun Exp $
  */
 /*
@@ -174,7 +173,7 @@ in_gif_output(struct ifnet *ifp, int family, struct mbuf *m)
 		ip_ecn_ingress(ECN_NOCARE, &iphdr.ip_tos, &tos);
 
 	/* prepend new IP header */
-	M_PREPEND(m, sizeof(struct ip), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(struct ip), M_NOWAIT);
 	if (m && m->m_len < sizeof(struct ip))
 		m = m_pullup(m, sizeof(struct ip));
 	if (m == NULL) {
